\begin{tikzpicture}
    \tikzset{%
        ver/.style={circle, inner sep=1pt, outer sep=1pt, minimum size=0.6cm, align=center},
        var/.style={ver, draw=none, fill=oiskyblue},
        vanch/.style={ver, draw=black, thick, fill=oireddishpurple},
        sink/.style={ver, draw=black, fill=oiorange},
        arr/.style={draw, thick, ->, >={stealth}},
        elabel/.style={font=\scriptsize},
        wrote/.style={elabel, "wrote"'{above, sloped}},
        hasGenre/.style={elabel, "hasGenre"'{above, sloped}}
    }

    \graph[layered layout, edges={arr}, node sep=2cm, node distance=2cm, level distance=2cm, grow=right] {
        Ho[vanch, label={[]left:Horror}, as={}];
        SF[vanch, label={[]left:SciFi}, as={}];
        vB[var, label={[]below:B}, as={}];
        vA[sink, label={[]below:A}, as={}];
        Ho ->[elabel, "hasGenre"'{below, sloped}, dashed] vB ->[wrote] vA;
        SF ->[hasGenre, dashed] vB;
        
    };
\end{tikzpicture}
